Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have a problem upgrading software. I can't update, upgrade or remove my software.

The notification of update manager signs 46 security packets and 83 other packets and when I click on it to install them another window comes up and is written:

Not all packages could be marked for upgrade. The available upgrades may require new packages to be installed or removed. Do you want to mark upgrades that may require the installation or removal of additional packages?

And I have two possibilites:

Mark Updates or No

Independently from my answer I receive two error windows:

The first one is:

 Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/c/coreutils/coreutils_8.13-3ubuntu3.1_amd64.deb 404 Not Found [IP: 193.206.140.37 80] 
 Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/apt/libapt-pkg4.12_0.8.16~exp12ubuntu10.5_amd64.deb 404 Not Found [IP: 193.206.140.37 80]
 Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/apt/apt_0.8.16~exp12ubuntu10.5_amd64.deb 404 Not Found [IP: 193.206.140.37 80] 
 Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/apt/libapt-inst1.4_0.8.16~exp12ubuntu10.5_amd64.deb 404 Not Found [IP: 193.206.140.37 80] 
 Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/apparmor/apparmor_2.7.102-0ubuntu3.4_amd64.deb 404 Not Found [IP: 193.206.140.37 80] 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/a/apparmor/apparmor_2.7.102-0ubuntu3.4_amd64.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/libx/libxml2/libxml2_2.7.8.dfsg-5.1ubuntu4.2_i386.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/libx/libxml2/libxml2_2.7.8.dfsg-5.1ubuntu4.2_amd64.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/m/mysql-5.5/mysql-common_5.5.28-0ubuntu0.12.04.2_all.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/m/mysql-5.5/libmysqlclient18_5.5.28-0ubuntu0.12.04.2_i386.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/m/mysql-5.5/libmysqlclient18_5.5.28-0ubuntu0.12.04.2_amd64.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/t/tiff/libtiff4_3.9.5-2ubuntu1.3_i386.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/t/tiff/libtiff4_3.9.5-2ubuntu1.3_amd64.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/m/mysql-5.5/mysql-server_5.5.28-0ubuntu0.12.04.2_all.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/m/mysql-5.5/mysql-server-5.5_5.5.28-0ubuntu0.12.04.2_amd64.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/m/mysql-5.5/mysql-client_5.5.28-0ubuntu0.12.04.2_all.deb 404 Not Found 
 Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/apt/apt-utils_0.8.16~exp12ubuntu10.5_amd64.deb 404 Not Found [IP: 193.206.140.37 80] 
 Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/apt/apt-transport-https_0.8.16~exp12ubuntu10.5_amd64.deb 404 Not Found [IP: 193.206.140.37 80] 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/m/mysql-5.5/mysql-client-5.5_5.5.28-0ubuntu0.12.04.2_amd64.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/m/mysql-5.5/mysql-client-core-5.5_5.5.28-0ubuntu0.12.04.2_amd64.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/m/mysql-5.5/mysql-server-core-5.5_5.5.28-0ubuntu0.12.04.2_amd64.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/b/bind9/bind9-host_9.8.1.dfsg.P1-4ubuntu0.4_amd64.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/b/bind9/dnsutils_9.8.1.dfsg.P1-4ubuntu0.4_amd64.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/b/bind9/libisc83_9.8.1.dfsg.P1-4ubuntu0.4_amd64.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/b/bind9/libdns81_9.8.1.dfsg.P1-4ubuntu0.4_amd64.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/b/bind9/libisccc80_9.8.1.dfsg.P1-4ubuntu0.4_amd64.deb 404 Not Found 
 Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/apport/python-problem-report_2.0.1-0ubuntu15_all.deb 404 Not Found [IP: 193.206.140.37 80]
 Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/apport/python-apport_2.0.1-0ubuntu15_all.deb 404 Not Found [IP: 193.206.140.37 80] 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/b/bind9/libisccfg82_9.8.1.dfsg.P1-4ubuntu0.4_amd64.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/b/bind9/liblwres80_9.8.1.dfsg.P1-4ubuntu0.4_amd64.deb 404 Not Found 
 Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/apport/apport_2.0.1-0ubuntu15_all.deb 404 Not Found [IP: 193.206.140.37 80] 
 Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/apport/apport-kde_2.0.1-0ubuntu15_all.deb 404 Not Found [IP: 193.206.140.37 80] 
 Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/p/postgresql-9.1/libpq5_9.1.6-0ubuntu12.04.1_amd64.deb 404 Not Found [IP: 193.206.140.37 80] 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/b/bind9/libbind9-80_9.8.1.dfsg.P1-4ubuntu0.4_amd64.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/f/firefox/firefox-globalmenu_16.0.2+build1-0ubuntu0.12.04.1_amd64.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/f/firefox/firefox_16.0.2+build1-0ubuntu0.12.04.1_amd64.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/f/firefox/firefox-locale-en_16.0.2+build1-0ubuntu0.12.04.1_amd64.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/multiverse/f/flashplugin-nonfree/flashplugin-installer_11.2.202.251ubuntu0.12.04.1_amd64.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/libx/libxml2/libxml2-utils_2.7.8.dfsg-5.1ubuntu4.2_amd64.deb 404 Not Found
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/l/linux-meta/linux-generic_3.2.0.33.36_amd64.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/l/linux-meta/linux-image-generic_3.2.0.33.36_amd64.deb 404 Not Found 
 Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/l/linux-meta/linux-headers-generic_3.2.0.33.36_amd64.deb 404 Not Found [IP: 193.206.140.37 80]
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/l/linux-meta/linux-headers-generic_3.2.0.33.36_amd64.deb 404 Not Found 
 Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/t/thunderbird/thunderbird-globalmenu_16.0.2+build1-0ubuntu0.12.04.1_amd64.deb 404 Not Found [IP: 193.206.140.37 80] 
 Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/aptdaemon/aptdaemon_0.43+bzr805-0ubuntu6_all.deb 404 Not Found [IP: 193.206.140.37 80] 
 Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/aptdaemon/python-aptdaemon_0.43+bzr805-0ubuntu6_all.deb 404 Not Found [IP: 193.206.140.37 80] 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/t/thunderbird/thunderbird-globalmenu_16.0.2+build1-0ubuntu0.12.04.1_amd64.deb 404 Not Found 
 Failed to download http://security.ubuntu.com/ubuntu/pool/main/t/thunderbird/thunderbird_16.0.2+build1-0ubuntu0.12.04.1_amd64.deb 404 Not Found 

When I click on Ok it appears another one:

The following errors occurred while applying changes: Package: ubuntu-keyring Details Error: subprocess installed post-installation script returned error exit status 127

The second one is:

Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/c/coreutils/coreutils_8.13-3ubuntu3.1_amd64.deb 404 Not Found [IP: 193.206.140.37 80] 
Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/apt/libapt-pkg4.12_0.8.16~exp12ubuntu10.5_amd64.deb 404 Not Found [IP: 193.206.140.37 80] 
Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/apt/apt_0.8.16~exp12ubuntu10.5_amd64.deb 404 Not Found [IP: 193.206.140.37 80] 
Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/apt/libapt-inst1.4_0.8.16~exp12ubuntu10.5_amd64.deb 404 Not Found [IP: 193.206.140.37 80] 
Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/apparmor/apparmor_2.7.102-0ubuntu3.4_amd64.deb 404 Not Found [IP: 193.206.140.37 80] 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/a/apparmor/apparmor_2.7.102-0ubuntu3.4_amd64.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/libx/libxml2/libxml2_2.7.8.dfsg-5.1ubuntu4.2_i386.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/libx/libxml2/libxml2_2.7.8.dfsg-5.1ubuntu4.2_amd64.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/m/mysql-5.5/mysql-common_5.5.28-0ubuntu0.12.04.2_all.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/m/mysql-5.5/libmysqlclient18_5.5.28-0ubuntu0.12.04.2_i386.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/m/mysql-5.5/libmysqlclient18_5.5.28-0ubuntu0.12.04.2_amd64.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/t/tiff/libtiff4_3.9.5-2ubuntu1.3_i386.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/t/tiff/libtiff4_3.9.5-2ubuntu1.3_amd64.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/m/mysql-5.5/mysql-server_5.5.28-0ubuntu0.12.04.2_all.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/m/mysql-5.5/mysql-server-5.5_5.5.28-0ubuntu0.12.04.2_amd64.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/m/mysql-5.5/mysql-client_5.5.28-0ubuntu0.12.04.2_all.deb 404 Not Found 
Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/apt/apt-utils_0.8.16~exp12ubuntu10.5_amd64.deb 404 Not Found [IP: 193.206.140.37 80] 
Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/apt/apt-transport-https_0.8.16~exp12ubuntu10.5_amd64.deb 404 Not Found [IP: 193.206.140.37 80] 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/m/mysql-5.5/mysql-client-5.5_5.5.28-0ubuntu0.12.04.2_amd64.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/m/mysql-5.5/mysql-client-core-5.5_5.5.28-0ubuntu0.12.04.2_amd64.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/m/mysql-5.5/mysql-server-core-5.5_5.5.28-0ubuntu0.12.04.2_amd64.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/b/bind9/bind9-host_9.8.1.dfsg.P1-4ubuntu0.4_amd64.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/b/bind9/dnsutils_9.8.1.dfsg.P1-4ubuntu0.4_amd64.deb 404 Not Found Failed to download http://security.ubuntu.com/ubuntu/pool/main/b/bind9/libisc83_9.8.1.dfsg.P1-4ubuntu0.4_amd64.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/b/bind9/libdns81_9.8.1.dfsg.P1-4ubuntu0.4_amd64.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/b/bind9/libisccc80_9.8.1.dfsg.P1-4ubuntu0.4_amd64.deb 404 Not Found 
Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/apport/python-problem-report_2.0.1-0ubuntu15_all.deb 404 Not Found [IP: 193.206.140.37 80] Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/apport/python-apport_2.0.1-0ubuntu15_all.deb 404 Not Found [IP: 193.206.140.37 80] 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/b/bind9/libisccfg82_9.8.1.dfsg.P1-4ubuntu0.4_amd64.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/b/bind9/liblwres80_9.8.1.dfsg.P1-4ubuntu0.4_amd64.deb 404 Not Found 
Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/apport/apport_2.0.1-0ubuntu15_all.deb 404 Not Found [IP: 193.206.140.37 80] 
Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/apport/apport-kde_2.0.1-0ubuntu15_all.deb 404 Not Found [IP: 193.206.140.37 80] 
Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/p/postgresql-9.1/libpq5_9.1.6-0ubuntu12.04.1_amd64.deb 404 Not Found [IP: 193.206.140.37 80]
Failed to download http://security.ubuntu.com/ubuntu/pool/main/b/bind9/libbind9-80_9.8.1.dfsg.P1-4ubuntu0.4_amd64.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/f/firefox/firefox-globalmenu_16.0.2+build1-0ubuntu0.12.04.1_amd64.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/f/firefox/firefox_16.0.2+build1-0ubuntu0.12.04.1_amd64.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/f/firefox/firefox-locale-en_16.0.2+build1-0ubuntu0.12.04.1_amd64.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/multiverse/f/flashplugin-nonfree/flashplugin-installer_11.2.202.251ubuntu0.12.04.1_amd64.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/libx/libxml2/libxml2-utils_2.7.8.dfsg-5.1ubuntu4.2_amd64.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/l/linux-meta/linux-generic_3.2.0.33.36_amd64.deb 404 Not Found 
Failed to download http://security.ubuntu.com/ubuntu/pool/main/l/linux-meta/linux-image-generic_3.2.0.33.36_amd64.deb 404 Not Found 
Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/l/linux-meta/linux-headers-generic_3.2.0.33.36_amd64.deb 404 Not Found [IP: 193.206.140.37 80]
Failed to download http://security.ubuntu.com/ubuntu/pool/main/l/linux-meta/linux-headers-generic_3.2.0.33.36_amd64.deb 404 Not Found 
Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/t/thunderbird/thunderbird-globalmenu_16.0.2+build1-0ubuntu0.12.04.1_amd64.deb 404 Not Found [IP: 193.206.140.37 80] 
Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/aptdaemon/aptdaemon_0.43+bzr805-0ubuntu6_all.deb 404 Not Found [IP: 193.206.140.37 80] 
Failed to download http://it.archive.ubuntu.com/ubuntu/pool/main/a/aptdaemon/python-aptdaemon_0.43+bzr805-0ubuntu6_all.deb 404 Not Found [IP: 193.206.140.37 80]
Failed to download http://security.ubuntu.com/ubuntu/pool/main/t/thunderbird/thunderbird-globalmenu_16.0.2+build1-0ubuntu0.12.04.1_amd64.deb 404 Not Found
Failed to download http://security.ubuntu.com/ubuntu/pool/main/t/thunderbird/thunderbird_16.0.2+build1-0ubuntu0.12.04.1_amd64.deb 404 Not Found 

I tryed to run:

sudo apt-get update

and then

sudo apt-get upgrade or sudo apt-get dist-upgrade

but

When I run sudo apt-get updatethis is the result: http://paste.ubuntu.com/1468542/

When I do "sudo apt-get dist-upgrade": http://paste.ubuntu.com/1468859/

How can I fix the problem?

Edit:

Reading at the errors I've thought that the problem can be ubuntu-keyring. I searched in ask.ubuntu and I found this link: Problems updating system with apt-get

and I tryed:

:~$ sudo rm -r /var/lib/apt/lists/*
:~$ sudo apt-get update

Here is the result: http://paste.ubuntu.com/1475133/

and:

:~$ sudo apt-get upgrade

Here is the result: http://paste.ubuntu.com/1475136/

Edit2:

I looked at the error and I guessed that maybe the fault is libreadline. I asked something about it here: http://dba.stackexchange.com/questions/31143/libreadline-so-6/31177

And at the end I removed the file, I upgraded the systems successfully, but when I restarted the system the file removed was still there. So the problem remain.

Thank you so much for helping me

share|improve this question

1 Answer 1

It looks like the package manager is trying to retrieve packages that no longer exist on the server. This happens when the information on your Ubuntu system about what packages are available in what versions is out of date.

If you are updating with the Software Center or the Update Manager, this should not be happening, as they are supposed to automatically retrieve up-to-date information about what packages and versions are available.

However, if you are using the command line and you're just running sudo apt-get upgrade, this is entirely expected. When updating your system or installing new software from the command line, you should run sudo apt-get update first. So, to upgrade, run:

sudo apt-get update
sudo apt-get upgrade

(To make sure you're upgraded, you may want to then run sudo apt-get dist-upgrade to catch any updates that require other packages to be installed or removed. Unless you're experienced at knowing what packages can and cannot be removed safely, I recommend running that after sudo apt-get upgrade.)

For a more detailed explanation of why it's important to run sudo apt-get update and what each of the commands does, take a look at:

share|improve this answer
    
Thank you so much for your answer. I'm sorry, but when I do "sudo apt-get update" after a lots of "Hit" the result became three of this: W: GPG error: archive.canonical.com precise Release: Unknown error executing gpgv W: A error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: security.ubuntu.com precise-security Release: Unknown error executing gpgv –  DarkCoffee Dec 26 '12 at 17:25
    
and for $ sudo apt-get precise-update E: Invalid operation precise-update Thank you for your help –  DarkCoffee Dec 26 '12 at 17:25
    
@DarkCoffee The sudo apt-get precise-update command isn't correct, but it it seems the command you ran before that is. Please add all text in the Konsole to your question. It doesn't look like you've provided all the messages; plus, providing them in comments causes loses some info. If you don't still have the text up, you can get it by running sudo apt-get update again. If it's too long to fit in your question or it would cause your question to become longer than you'd like, paste it at paste.ubuntu.com instead and provide the link it gives you, in your question or in a comment. –  Eliah Kagan Dec 26 '12 at 21:41
    
Thank you. The link of the result of sudo apt-get update is paste.ubuntu.com/1468542 My kubuntu disto is "precise", why is "sudo apt-get precise-update" wrong? –  DarkCoffee Dec 27 '12 at 0:16
    
@DarkCoffee You don't use the release codename. It's just update, upgrade, and dist-upgrade. (And there are others too, see man apt-get, but their names don't vary by release either.) In case this is the source of the confusion: dist-upgrade is exactly that, dist doesn't get replaced by any other text. As for the problem you're having, it seems to be the same as this, but I don't understand the solution. –  Eliah Kagan Dec 27 '12 at 3:47

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.